
User Interface - Bug #2744

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

dynamic widgets realize too late

10/08/2015 08:44 AM - Vadim Gindin

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #2513: implement GUI runtime support for ... Closed 02/10/2015

History

#1 - 10/08/2015 08:48 AM - Vadim Gindin

Procedure uast/toggle_box/gui/tglbox_dyn.p. There are toggle-box is created dynamically using CREATE statement:

def var tbx as handle.

def button exit_btn label "exit".

def frame f skip(1) exit_btn no-labels.

create toggle-box tbx

  assign

  name = "tbx" 

  visible = true

  sensitive = true

  bgcolor = 4

  /*width = 10

  height = 1.6*/

  frame = frame f:handle.

message "name: " + tbx:name + "width-chars: " + string(tbx:width-chars) +

        "width-pixels: " + string(tbx:width-pixels) + "width: " + string(tbx:width) +

        "height-chars: " + string(tbx:height-chars) + "height-pixels: " + string(tbx:height-pixels) +

        "height: " + string(tbx:height).

enable all with frame f.

wait-for choose of exit_btn.

 

Then there are the MESSAGE statement that outputs toggle-box attributes. If the MESSAGE statement resides before ENABLE statement, than

toggle-box attributes will be 0 (for P2J, but not for PROGRESS). If I'll swap MESSAGE and ENABLE, than attributes will have values.

So it seems, values assignment happen during enabling widgets in frame (in P2J) that is not right for my test. It is also common bug which is not

specific for toggle-box probably.
#2 - 10/08/2015 09:07 AM - Greg Shah

- Start date deleted (10/08/2015)

- Parent task set to #2677

- Subject changed from Dynamic widget attachment to a frame to dynamic widgets realize too late

- Target version set to Milestone 12

#3 - 10/13/2015 03:49 PM - Greg Shah

- Priority changed from Normal to Low

#4 - 03/23/2016 05:10 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#5 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
